<script lang="ts" setup>
import Button from 'primevue/button'
import { useUserStore } from '@/stores/user'
const store = useUserStore()

const login = async () => {
  const url = await store.getLoginUrl()
  window.location.href = url
}
</script>

<template>
    <Button
      class="bg-themeblue-500 text-slate-50 text-xs py-1 min-w-[67px] md:min-w-[78px] md:text-base"
      @click="login"
      data-test="button-login"
    >
    Log in
    </Button>
</template>
